Index: tmp/org.txm.core/src/java/org/txm/functions/diagnostic/Diagnostic.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/functions/diagnostic/Diagnostic.java	(revision 240)
+++ tmp/org.txm.core/src/java/org/txm/functions/diagnostic/Diagnostic.java	(revision 241)
@@ -42,7 +42,7 @@
 import java.util.Locale;
 
 import org.eclipse.osgi.util.NLS;
-import org.txm.Messages;
+import org.txm.core.messages.TXMCoreMessages;
 import org.txm.functions.Function;
 import org.txm.objects.Base;
 import org.txm.searchengine.cqp.AbstractCqiClient;
@@ -150,15 +150,15 @@
 			properties = corpus.getProperties();
 			NProperties = properties.size();
 		} catch (CqiClientException e1) {
-			Log.severe(Messages.Diagnostic_1 + corpus.getName()
-					+ Messages.Diagnostic_4);
+			Log.severe(TXMCoreMessages.Diagnostic_1 + corpus.getName()
+					+ TXMCoreMessages.Diagnostic_4);
 			return;
 		}
 		try {
 			T = corpus.getSize();// corpus.getLexicon(corpus.getProperty("id")).nbrOfToken();
 		} catch (CqiClientException e1) {
-			Log.severe(Messages.Diagnostic_6 + corpus.getName()
-					+ Messages.Diagnostic_8);
+			Log.severe(TXMCoreMessages.Diagnostic_6 + corpus.getName()
+					+ TXMCoreMessages.Diagnostic_8);
 			return;
 		} 
 	}
@@ -202,8 +202,8 @@
 		try {
 			structures = corpus.getOrderedStructuralUnits();
 		} catch (CqiClientException e1) {
-			Log.severe(Messages.Diagnostic_1 + corpus.getName()
-					+ Messages.Diagnostic_11);
+			Log.severe(TXMCoreMessages.Diagnostic_1 + corpus.getName()
+					+ TXMCoreMessages.Diagnostic_11);
 			return;
 		}
 		NStructures = structures.size();
@@ -226,7 +226,7 @@
 						.put(sup.getName(), allvalues.size());
 					} catch (Exception e) {
 						ArrayList<String> list = new ArrayList<String>(1);
-						list.add(Messages.Diagnostic_2);
+						list.add(TXMCoreMessages.Diagnostic_2);
 						internalArchitectureProperties.get(su.getName()).put(
 								sup.getName(), list);
 						internalArchitecturePropertiesCounts.get(su.getName())
@@ -247,7 +247,7 @@
 		corpus = partition.getCorpus();
 		this.partition = partition;
 		int T = corpus.getSize();
-		System.out.println(Messages.Diagnostic_12);
+		System.out.println(TXMCoreMessages.Diagnostic_12);
 		int nbParts = partition.getNPart();
 		List<String> partNames = partition.getPartNames();
 		List<Integer> partSizes = new ArrayList<Integer>();
@@ -274,26 +274,26 @@
 				"<meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"/>" + //$NON-NLS-1$
 				"</head>" + //$NON-NLS-1$
 				"<body>\n"); //$NON-NLS-1$
-		buff.append("<h2 style'font-family:\"Arial\";'>"+Messages.Diagnostic_3 + this.corpus.getName() + "</h2>\n"); //$NON-NLS-2$ //$NON-NLS-1$
+		buff.append("<h2 style'font-family:\"Arial\";'>"+TXMCoreMessages.Diagnostic_3 + this.corpus.getName() + "</h2>\n"); //$NON-NLS-2$ //$NON-NLS-1$
 		
 		if (corpus.getDescription() != null && corpus.getDescription().length() > 0) {
 			buff.append("<p>"+corpus.getDescription()+"</p>"); //$NON-NLS-1$ //$NON-NLS-2$
 		}
 		
-		buff.append("<h3 style'font-family:\"Arial\";'>"+Messages.Diagnostic_5+ "</h3>\n"); //$NON-NLS-1$ //$NON-NLS-2$ 
+		buff.append("<h3 style'font-family:\"Arial\";'>"+TXMCoreMessages.Diagnostic_5+ "</h3>\n"); //$NON-NLS-1$ //$NON-NLS-2$ 
 
 		
 		
 		// counts
 		buff.append("<ul>\n"); //$NON-NLS-1$
-		buff.append("<li>" + Messages.Diagnostic_7 + T + "</li>\n"); //$NON-NLS-1$ //$NON-NLS-2$ 
+		buff.append("<li>" + TXMCoreMessages.Diagnostic_7 + T + "</li>\n"); //$NON-NLS-1$ //$NON-NLS-2$ 
 		buff
-		.append("<li>" + Messages.Diagnostic_9 + (NProperties - 1) + "</li>\n"); //$NON-NLS-2$ //$NON-NLS-1$
-		buff.append("<li>" + Messages.Diagnostic_16 + NStructures + "</li>\n"); //$NON-NLS-2$ //$NON-NLS-1$
+		.append("<li>" + TXMCoreMessages.Diagnostic_9 + (NProperties - 1) + "</li>\n"); //$NON-NLS-2$ //$NON-NLS-1$
+		buff.append("<li>" + TXMCoreMessages.Diagnostic_16 + NStructures + "</li>\n"); //$NON-NLS-2$ //$NON-NLS-1$
 		buff.append("</ul>\n"); //$NON-NLS-1$
 
 		// Propriétés d'occurrences
-		buff.append("<h3 style'font-family:\"Arial\";'>"+NLS.bind(Messages.Diagnostic_14, maxvalue) + "</h3>\n"); //$NON-NLS-1$ //$NON-NLS-2$ 
+		buff.append("<h3 style'font-family:\"Arial\";'>"+NLS.bind(TXMCoreMessages.Diagnostic_14, maxvalue) + "</h3>\n"); //$NON-NLS-1$ //$NON-NLS-2$ 
 		ArrayList<String> properties = new ArrayList<String>(propertiesValues.keySet());
 		Collections.sort(properties);
 		buff.append("<ul>\n"); //$NON-NLS-1$
@@ -311,7 +311,7 @@
 		buff.append("</ul>\n"); //$NON-NLS-1$
 
 		// Propriété de structures
-		buff.append("<h3 style'font-family:\"Arial\";'>"+NLS.bind(Messages.Diagnostic_22, maxvalue)+"</h3>\n"); //$NON-NLS-1$ //$NON-NLS-2$
+		buff.append("<h3 style'font-family:\"Arial\";'>"+NLS.bind(TXMCoreMessages.Diagnostic_22, maxvalue)+"</h3>\n"); //$NON-NLS-1$ //$NON-NLS-2$
 		buff.append("<ul>\n"); //$NON-NLS-1$
 		for (String s : internalArchitecture) {
 			StringBuffer subbuffer = new StringBuffer();
@@ -322,7 +322,7 @@
 			
 			subbuffer.append("<li> " + s + "\n<ul>\n"); //$NON-NLS-1$ //$NON-NLS-2$
 			if (internalArchitectureProperties.get(s).keySet().size() == 0)
-				subbuffer.append("<li>"+Messages.Diagnostic_26+"</li>\n"); //$NON-NLS-1$ //$NON-NLS-2$ 
+				subbuffer.append("<li>"+TXMCoreMessages.Diagnostic_26+"</li>\n"); //$NON-NLS-1$ //$NON-NLS-2$ 
 
 			
 			//System.out.println("struct: "+s+" >> "+properties);
@@ -383,14 +383,14 @@
 	public String dump(int maxvalue) {
 		StringBuffer buff = new StringBuffer();
 
-		buff.append(Messages.Diagnostic_40);
-		buff.append(Messages.Diagnostic_41 + String.format(Locale.FRANCE,"%,d", T) + "\n"); //$NON-NLS-1$ 
-		buff.append(Messages.Diagnostic_43 + String.format("%,d", NProperties) + "\n"); //$NON-NLS-1$ 
+		buff.append(TXMCoreMessages.Diagnostic_40);
+		buff.append(TXMCoreMessages.Diagnostic_41 + String.format(Locale.FRANCE,"%,d", T) + "\n"); //$NON-NLS-1$ 
+		buff.append(TXMCoreMessages.Diagnostic_43 + String.format("%,d", NProperties) + "\n"); //$NON-NLS-1$ 
 		/*for (String s : propertiesCounts.keySet())
 			if (!s.equals("id")) //$NON-NLS-1$
 				buff.append(" - " + s + " " + propertiesCounts.get(s) + "\n"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 				*/
-		buff.append(Messages.Diagnostic_49 + String.format("%,d", NStructures) + "\n"); //$NON-NLS-1$ 
+		buff.append(TXMCoreMessages.Diagnostic_49 + String.format("%,d", NStructures) + "\n"); //$NON-NLS-1$ 
 		for (String s : structuresCounts.keySet())
 			buff.append(" - " + s + "\n");//+structuresCounts.get(s)+"\n"); //$NON-NLS-1$ //$NON-NLS-2$
 
@@ -399,7 +399,7 @@
 		 * internalArchitecture)
 		 * buff.append(" - "+s+" "+hierarchieCounts.get(s)+"\n");
 		 */
-		buff.append(Messages.Diagnostic_0);
+		buff.append(TXMCoreMessages.Diagnostic_0);
 		for (String s : internalArchitecture) {
 			buff.append(" - " + s + "\n"); //$NON-NLS-1$ //$NON-NLS-2$
 			for (String ps : internalArchitectureProperties.get(s).keySet()) {
Index: tmp/org.txm.core/src/java/org/txm/functions/selection/Selection.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/functions/selection/Selection.java	(revision 240)
+++ tmp/org.txm.core/src/java/org/txm/functions/selection/Selection.java	(revision 241)
@@ -31,7 +31,7 @@
 import java.util.HashMap;
 import java.util.List;
 
-import org.txm.Messages;
+import org.txm.core.messages.TXMCoreMessages;
 import org.txm.core.results.TXMResult;
 import org.txm.metadatas.Metadata;
 import org.txm.metadatas.MetadataGroup;
@@ -113,7 +113,7 @@
 	private boolean init() {
 		try {
 			if (corpus.getBase() == null) {
-				System.out.println(Messages.Selection_6+corpus+Messages.Selection_7);
+				System.out.println(TXMCoreMessages.Selection_6+corpus+TXMCoreMessages.Selection_7);
 				return false;
 			}
 			metadatas = corpus.getImportMetadata();
@@ -136,12 +136,12 @@
 					try {
 						StructuralUnitProperty sup = text_su.getProperty(m.id);
 						if (sup == null) {
-							Log.warning(Messages.Selection_8+m.id);
+							Log.warning(TXMCoreMessages.Selection_8+m.id);
 							continue;
 						}
 						allProperties.add(sup);
 					} catch(Exception e) {
-						Log.severe(Messages.Selection_9+e);
+						Log.severe(TXMCoreMessages.Selection_9+e);
 					}
 				}
 			}
@@ -218,8 +218,8 @@
 	 * @throws CqiClientException the cqi client exception
 	 */
 	public void fullDump() throws CqiClientException {
-		System.out.println(Messages.Selection_5);
-		System.out.println(Messages.Corpus_2+corpus);
+		System.out.println(TXMCoreMessages.Selection_5);
+		System.out.println(TXMCoreMessages.Corpus_2+corpus);
 		System.out.println("Text query: "+query); //$NON-NLS-1$
 		System.out.println("Texts ids: "+textids); //$NON-NLS-1$
 		System.out.println("Text positions: "+Arrays.toString(positions)); //$NON-NLS-1$
@@ -443,7 +443,7 @@
 				try {
 					valuesPerMetadata.put(sup.getName(), sup.getValues());
 				} catch (CqiClientException e) {
-					System.out.println(Messages.Selection_26+sup.getFullName());
+					System.out.println(TXMCoreMessages.Selection_26+sup.getFullName());
 					org.txm.utils.logger.Log.printStackTrace(e);
 					return valuesPerMetadata;
 				}
Index: tmp/org.txm.core/src/java/org/txm/functions/internal/InternalView.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/functions/internal/InternalView.java	(revision 240)
+++ tmp/org.txm.core/src/java/org/txm/functions/internal/InternalView.java	(revision 241)
@@ -5,7 +5,7 @@
 import java.util.HashMap;
 import java.util.List;
 
-import org.txm.Messages;
+import org.txm.core.messages.TXMCoreMessages;
 import org.txm.Toolbox;
 import org.txm.core.results.TXMResult;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
@@ -49,7 +49,7 @@
 
 		try {
 			if (structProperties.size() > 0) {
-				String str = Messages.InternalView_3;
+				String str = TXMCoreMessages.InternalView_3;
 				for (Property sup : structProperties) {
 					int[] array = {getCurrentSegmentNo()};
 					str += " "+sup.getName()+"="+Toolbox.getCqiClient().struc2Str(sup.getQualifiedName(), array)[0]; //$NON-NLS-1$ //$NON-NLS-2$
@@ -57,10 +57,10 @@
 				return str;
 			}
 		} catch (Exception e) {
-			System.out.println(Messages.InternalView_6+e.getMessage());
+			System.out.println(TXMCoreMessages.InternalView_6+e.getMessage());
 			org.txm.utils.logger.Log.printStackTrace(e);
 		}
-		return Messages.InternalView_7;
+		return TXMCoreMessages.InternalView_7;
 	}
 
 	public HashMap<Property, List<String>> getNext() throws CqiClientException {
Index: tmp/org.txm.core/src/java/org/txm/functions/summary/Summary.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/functions/summary/Summary.java	(revision 240)
+++ tmp/org.txm.core/src/java/org/txm/functions/summary/Summary.java	(revision 241)
@@ -3,8 +3,8 @@
 import java.io.IOException;
 import java.util.ArrayList;
 
-import org.txm.Messages;
 import org.txm.Toolbox;
+import org.txm.core.messages.TXMCoreMessages;
 import org.txm.core.results.TXMResult;
 import org.txm.objects.Edition;
 import org.txm.objects.Page;
@@ -142,7 +142,7 @@
 		if (wordids.length == 1 && textids.length == 1) {
 			Text text = corpus.getText(textids[0]);
 			if (text == null) {
-				System.out.println(Messages.Summary_13+textids[0]+Messages.Summary_14);
+				System.out.println(TXMCoreMessages.Summary_13+textids[0]+TXMCoreMessages.Summary_14);
 				return null;
 			}
 
@@ -158,14 +158,14 @@
 				}
 			}
 			if (edition == null) {
-				System.out.println(Messages.Summary_15);
+				System.out.println(TXMCoreMessages.Summary_15);
 				return null;
 			}
 
 			node.wordid = wordids[0];
 			return edition.getPageForWordId(wordids[0]);
 		} else {
-			System.out.println(Messages.Summary_16+Arrays.toString(textids)+Messages.Summary_17+Arrays.toString(wordids));
+			System.out.println(TXMCoreMessages.Summary_16+Arrays.toString(textids)+TXMCoreMessages.Summary_17+Arrays.toString(wordids));
 			return null;
 		}
 	}
Index: tmp/org.txm.index.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.index.rcp/META-INF/MANIFEST.MF	(revision 240)
+++ tmp/org.txm.index.rcp/META-INF/MANIFEST.MF	(revision 241)
@@ -9,7 +9,8 @@
  org.eclipse.ui;bundle-version="3.106.1",
  org.eclipse.core.runtime;bundle-version="3.10.0",
  org.txm.rcp,
- org.txm.r;bundle-version="1.0.0"
+ org.txm.statsengine.r.core;bundle-version="1.0.0",
+ org.txm.statsengine.r.rcp
 Export-Package: org.txm.index.rcp.adapters,
  org.txm.index.rcp.editors,
  org.txm.index.rcp.handlers
Index: tmp/org.txm.index.rcp/src/org/txm/index/rcp/handlers/ComputeIndex.java
===================================================================
--- tmp/org.txm.index.rcp/src/org/txm/index/rcp/handlers/ComputeIndex.java	(revision 240)
+++ tmp/org.txm.index.rcp/src/org/txm/index/rcp/handlers/ComputeIndex.java	(revision 241)
@@ -34,22 +34,31 @@
 import org.eclipse.ui.IWorkbenchPage;
 import org.eclipse.ui.handlers.HandlerUtil;
 import org.txm.Toolbox;
+import org.txm.index.core.functions.Index;
 import org.txm.index.rcp.editors.IndexEditor;
 import org.txm.index.rcp.editors.IndexEditorInput;
 import org.txm.rcpapplication.Messages;
 import org.txm.rcpapplication.StatusLine;
 import org.txm.rcpapplication.TXMWindows;
+import org.txm.rcpapplication.views.corpora.CorporaView;
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.searchengine.cqp.corpus.Partition;
 /**
  * Open the Index Editor.
+ * 
  * @author mdecorde
+ * @author sjacquot
  */
 public class ComputeIndex extends AbstractHandler {
 
-	/** The selection. */
-	private IStructuredSelection selection;
 	
+	
+	// adds a double click listener to the Corpus View
+	static	{
+		CorporaView.addDoubleClickListener(Index.class, ComputeIndex.class);
+	}
+	
+	
 	/* (non-Javadoc)
 	 * @see org.eclipse.core.commands.AbstractHandler#execute(org.eclipse.core.commands.ExecutionEvent)
 	 */
@@ -57,34 +66,47 @@
 	public Object execute(ExecutionEvent event) throws ExecutionException {
 		if (!Toolbox.isSearchEngineInitialized()) return false;
 		
-		selection = (IStructuredSelection) HandlerUtil.getCurrentSelection(event);
-
-		Object s = selection.getFirstElement();
+		IndexEditorInput editorInput = null;
+		boolean initializeFields = false;
+		Object s = ((IStructuredSelection) HandlerUtil.getCurrentSelection(event)).getFirstElement();
+		
+		System.err.println("ComputeIndex.execute(): " + s);
+		
+		// New editor from corpus
 		if (s instanceof Corpus) {
-			final Corpus corpus = (Corpus) s;
-			openEditor(corpus);
-		} else if (s instanceof Partition) {
-			final Partition partition = (Partition) s;
-			openEditor(partition);
+			editorInput = new IndexEditorInput((Corpus) s);
 		}
+		// New editor from partition
+		else if (s instanceof Partition) {
+			editorInput = new IndexEditorInput((Partition) s);
+			initializeFields = true;
+		}
+		// Reopen an existing result
+		else if (s instanceof Index) {
+			editorInput = new IndexEditorInput((Index) s);
+		}
+		openEditor(editorInput, initializeFields);
 
 		return null;
 	}
 	
+	
 	/**
-	 * Create an index from the specified corpus and opens an index editor.
-	 * @param corpus
+	 * Opens the editor with specified input.
+	 * @param editorInput
+	 * @param initializeFields
 	 * @return
 	 */
-	public static boolean openEditor(Corpus corpus) {
+	public static boolean openEditor(IndexEditorInput editorInput, boolean initializeFields) {
 		if (!Toolbox.isSearchEngineInitialized()) return false;
 		
 		IWorkbenchPage page = TXMWindows.getActiveWindow().getActivePage();
-		IndexEditorInput editorInput = new IndexEditorInput(corpus);
 		try {
 			StatusLine.setMessage(Messages.ComputeIndex_0);
 			IndexEditor editor = (IndexEditor) page.openEditor(editorInput, "IndexEditor"); //$NON-NLS-1$
-			//editor.initializeFields();
+			if(initializeFields)	{
+				editor.initializeFields();
+			}
 			return true;
 		} catch (Exception e) {
 			org.txm.rcpapplication.utils.Logger.printStackTrace(e);
@@ -92,23 +114,5 @@
 		return false;
 	}
 	
-	/**
-	 * Create an index from the specified partition and opens an index editor.
-	 * @param partition
-	 * @return
-	 */
-	public static boolean openEditor(Partition partition) {
-		if (!Toolbox.isSearchEngineInitialized()) return false;
-		IWorkbenchPage page = TXMWindows.getActiveWindow().getActivePage();
-		IndexEditorInput editorInput = new IndexEditorInput(partition);
-		try {
-			StatusLine.setMessage(Messages.ComputeIndex_0);
-			IndexEditor editor = (IndexEditor) page.openEditor(editorInput, "IndexEditor"); //$NON-NLS-1$
-			editor.initializeFields();
-			return true;
-		} catch (Exception e) {
-			org.txm.rcpapplication.utils.Logger.printStackTrace(e);
-		}
-		return false;
-	}
+
 }
Index: tmp/org.txm.index.rcp/src/org/txm/index/rcp/messages/IndexUIMessages.java
===================================================================
--- tmp/org.txm.index.rcp/src/org/txm/index/rcp/messages/IndexUIMessages.java	(revision 0)
+++ tmp/org.txm.index.rcp/src/org/txm/index/rcp/messages/IndexUIMessages.java	(revision 241)
@@ -0,0 +1,30 @@
+package org.txm.index.rcp.messages;
+
+import org.eclipse.osgi.util.NLS;
+import org.txm.core.messages.TXMCoreMessages;
+
+public class IndexUIMessages extends NLS {
+
+	private static final String BUNDLE_NAME = "org.txm.index.rcp.messages.messages"; //$NON-NLS-1$
+
+	
+	public static String IndexEditor_0;
+	public static String IndexEditor_1;
+	public static String IndexEditor_10;
+	public static String IndexEditor_2;
+	public static String IndexEditor_20;
+	public static String IndexEditor_22;
+	public static String IndexEditor_29;
+	public static String IndexEditor_33;
+	public static String IndexEditor_8;
+	public static String IndexEditor_9;
+
+	
+	static {
+		// initialize resource bundle
+		TXMCoreMessages.initializeMessages(BUNDLE_NAME, IndexUIMessages.class);
+	}
+
+	private IndexUIMessages() {
+	}
+}

Index: tmp/org.txm.index.rcp/src/org/txm/index/rcp/editors/IndexEditorInput.java
===================================================================
--- tmp/org.txm.index.rcp/src/org/txm/index/rcp/editors/IndexEditorInput.java	(revision 240)
+++ tmp/org.txm.index.rcp/src/org/txm/index/rcp/editors/IndexEditorInput.java	(revision 241)
@@ -43,9 +43,6 @@
 	/** The corpus. */
 	protected Corpus corpus;
 	
-	/** The index. */
-	protected Index index;
-	
 	/** The partition. */
 	protected Partition partition;
 
@@ -87,7 +84,6 @@
 		super(index);
 		this.corpus = corpus;
 		this.partition = partition;
-		this.index = index;
 	}
 	
 	/**
@@ -114,8 +110,9 @@
 	 * @return the index
 	 */
 	public Index getIndex() {
-		return index;
+		return (Index) this.result;
 	}
 
 
+
 }
Index: tmp/org.txm.index.core/src/org/txm/index/core/messages/IndexCoreMessages.java
===================================================================
--- tmp/org.txm.index.core/src/org/txm/index/core/messages/IndexCoreMessages.java	(revision 240)
+++ tmp/org.txm.index.core/src/org/txm/index/core/messages/IndexCoreMessages.java	(revision 241)
@@ -8,9 +8,11 @@
 	private static final String BUNDLE_NAME = "org.txm.index.core.messages.messages"; //$NON-NLS-1$
 
 	
-	public static String IndexEditor_17;
-	public static String IndexEditor_18;
+	public static String DetailsFromPartition;
+	public static String DetailsFromCorpus;
 	
+	
+	public static String RESULT_TYPE;
 
 	
 	static {
Index: tmp/org.txm.index.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.index.core/META-INF/MANIFEST.MF	(revision 240)
+++ tmp/org.txm.index.core/META-INF/MANIFEST.MF	(revision 241)
@@ -3,13 +3,13 @@
 Bundle-Name: Index Core
 Bundle-SymbolicName: org.txm.index.core
 Bundle-Version: 1.0.0.qualifier
-Require-Bundle: org.txm.r;bundle-version="1.0.0",
+Require-Bundle: org.txm.statsengine.r.core;bundle-version="1.0.0",
  org.eclipse.core.runtime,
  org.txm.core;bundle-version="0.7.0",
  org.txm.utils;bundle-version="1.0.0"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
 Bundle-ActivationPolicy: lazy
 Export-Package: org.txm.index.core.functions,
+ org.txm.index.core.messages,
  org.txm.macro.r,
  org.txm.test
-Import-Package: org.txm.stat.engine.r
